## r-cran-chk 0.9.0

=== DESCRIPTION ===
Package: chk
Title: Check User-Supplied Function Arguments
Version: 0.9.0
Authors@R: 
    c(person(given = "Joe",
             family = "Thorley",
             role = c("aut", "cre"),
             email = "joe@poissonconsulting.ca",
             comment = c(ORCID = "0000-0002-7683-4592")),
      person(given = "Kirill",
             family = "Müller",
             role = "aut",
             comment = c(ORCID = "0000-0002-1416-3412")),
      person(given = "Ayla",
             family = "Pearson",
             role = "aut",
             comment = c(ORCID = "0000-0001-7388-1222")),
      person(given = "Nadine",
             family = "Hussein",
             role = "ctb",
             email = "nadine@poissonconsulting.ca",
             comment = c(ORCID = "0000-0003-4470-8361")),
      person(given = "Evan",
             family = "Amies-Galonski",
             role = "ctb",
             email = "evan@poissonconsulting.ca",
             comment = c(ORCID = "0000-0003-1096-2089")),
      person(given = "Poisson Consulting",
             role = c("cph", "fnd")))
Description: For developers to check user-supplied function arguments.  It
    is designed to be simple, fast and customizable.  Error messages
    follow the tidyverse style guide.
License: MIT + file LICENSE
URL: https://github.com/poissonconsulting/chk
BugReports: https://github.com/poissonconsulting/chk/issues
Depends: R (>= 3.6)
Imports: lifecycle, methods, rlang, tools
Suggests: covr, knitr, rmarkdown, testthat (>= 3.0.0), withr
VignetteBuilder: knitr
RdMacros: lifecycle
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-05-27 00:53:01 UTC; joe
Author: Joe Thorley [aut, cre] (<https://orcid.org/0000-0002-7683-4592>),
  Kirill Müller [aut] (<https://orcid.org/0000-0002-1416-3412>),
  Ayla Pearson [aut] (<https://orcid.org/0000-0001-7388-1222>),
  Nadine Hussein [ctb] (<https://orcid.org/0000-0003-4470-8361>),
  Evan Amies-Galonski [ctb] (<https://orcid.org/0000-0003-1096-2089>),
  Poisson Consulting [cph, fnd]
Maintainer: Joe Thorley <joe@poissonconsulting.ca>
Repository: CRAN
Date/Publication: 2023-05-27 04:30:02 UTC

=== debian/changelog ===
r-cran-chk (0.9.0-2) unstable; urgency=medium

  * Source-only upload
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jul 2023 22:01:38 +0200

r-cran-chk (0.9.0-1) unstable; urgency=medium

  * Initial release (closes: #1039112)

 -- Andreas Tille <tille@debian.org>  Sun, 25 Jun 2023 22:03:59 +0200

## r-cran-chk 0.9.1

=== DESCRIPTION ===
Package: chk
Title: Check User-Supplied Function Arguments
Version: 0.9.1
Authors@R: c(
    person("Joe", "Thorley", , "joe@poissonconsulting.ca", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-7683-4592")),
    person("Kirill", "Müller", role = "aut",
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Ayla", "Pearson", role = "aut",
           comment = c(ORCID = "0000-0001-7388-1222")),
    person("Nadine", "Hussein", , "nadine@poissonconsulting.ca", role = "ctb",
           comment = c(ORCID = "0000-0003-4470-8361")),
    person("Evan", "Amies-Galonski", , "evan@poissonconsulting.ca", role = "ctb",
           comment = c(ORCID = "0000-0003-1096-2089")),
    person("Poisson Consulting", role = c("cph", "fnd"))
  )
Description: For developers to check user-supplied function arguments.  It
    is designed to be simple, fast and customizable.  Error messages
    follow the tidyverse style guide.
License: MIT + file LICENSE
URL: https://poissonconsulting.github.io/chk/,
        https://github.com/poissonconsulting/chk/
BugReports: https://github.com/poissonconsulting/chk/issues/
Depends: R (>= 3.6)
Imports: lifecycle, methods, rlang, tools
Suggests: covr, knitr, rmarkdown, testthat (>= 3.0.0), withr
VignetteBuilder: knitr
RdMacros: lifecycle
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-10-05 21:37:43 UTC; joe
Author: Joe Thorley [aut, cre] (<https://orcid.org/0000-0002-7683-4592>),
  Kirill Müller [aut] (<https://orcid.org/0000-0002-1416-3412>),
  Ayla Pearson [aut] (<https://orcid.org/0000-0001-7388-1222>),
  Nadine Hussein [ctb] (<https://orcid.org/0000-0003-4470-8361>),
  Evan Amies-Galonski [ctb] (<https://orcid.org/0000-0003-1096-2089>),
  Poisson Consulting [cph, fnd]
Maintainer: Joe Thorley <joe@poissonconsulting.ca>
Repository: CRAN
Date/Publication: 2023-10-06 02:40:02 UTC

=== debian/changelog ===
r-cran-chk (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 15:36:41 +0200

=== debian/control ===
Source: r-cran-chk
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-chk
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-chk.git
Homepage: https://cran.r-project.org/package=chk
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-lifecycle,
               r-cran-rlang
Testsuite: autopkgtest-pkg-r

Package: r-cran-chk
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R check user-supplied function arguments
 For developers to check user-supplied function arguments.  It
 is designed to be simple, fast and customizable.  Error messages
 follow the tidyverse style guide.

## r-cran-chk 0.9.2

=== debian/changelog ===
r-cran-chk (0.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Sep 2024 08:36:49 +0900

## r-cran-chk 0.10.0

=== DESCRIPTION ===
Package: chk
Title: Check User-Supplied Function Arguments
Version: 0.10.0
Authors@R: c(
    person("Joe", "Thorley", , "joe@poissonconsulting.ca", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-7683-4592")),
    person("Kirill", "Müller", role = "aut",
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Ayla", "Pearson", role = "aut",
           comment = c(ORCID = "0000-0001-7388-1222")),
    person("Florencia", "D'Andrea", role = "ctb"),
    person("Nadine", "Hussein", , "nadine@poissonconsulting.ca", role = "ctb",
           comment = c(ORCID = "0000-0003-4470-8361")),
    person("Evan", "Amies-Galonski", , "evan@poissonconsulting.ca", role = "ctb",
           comment = c(ORCID = "0000-0003-1096-2089")),
    person("Poisson Consulting", role = c("cph", "fnd"))
  )
Description: For developers to check user-supplied function arguments.  It
    is designed to be simple, fast and customizable.  Error messages
    follow the tidyverse style guide.
License: MIT + file LICENSE
URL: https://github.com/poissonconsulting/chk,
        https://poissonconsulting.github.io/chk/
BugReports: https://github.com/poissonconsulting/chk/issues/
Depends: R (>= 3.6)
Imports: lifecycle, methods, rlang, tools
Suggests: covr, knitr, rmarkdown, testthat (>= 3.0.0), withr
VignetteBuilder: knitr
RdMacros: lifecycle
Config/Needs/website: poissonconsulting/poissontemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.2.9000
NeedsCompilation: no
Packaged: 2025-01-24 19:31:20 UTC; joe
Author: Joe Thorley [aut, cre] (<https://orcid.org/0000-0002-7683-4592>),
  Kirill Müller [aut] (<https://orcid.org/0000-0002-1416-3412>),
  Ayla Pearson [aut] (<https://orcid.org/0000-0001-7388-1222>),
  Florencia D'Andrea [ctb],
  Nadine Hussein [ctb] (<https://orcid.org/0000-0003-4470-8361>),
  Evan Amies-Galonski [ctb] (<https://orcid.org/0000-0003-1096-2089>),
  Poisson Consulting [cph, fnd]
Maintainer: Joe Thorley <joe@poissonconsulting.ca>
Repository: CRAN
Date/Publication: 2025-01-24 21:20:05 UTC

=== debian/changelog ===
r-cran-chk (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 17:34:44 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-chk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-chk.git
 Homepage: https://cran.r-project.org/package=chk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/chk_([-\d.]*)\.tar\.gz
